## org.eclipse.datatools.sqltools.editor.template
Class GenericSQLContextType

    java.lang.Object
      TemplateContextType
          org.eclipse.datatools.sqltools.editor.template.GenericSQLContextType

public class GenericSQLContextType
extends TemplateContextType

A generic SQL context type defines a context within which generic SQL statement templates are resolved. It stores a number of `TemplateVariableResolver`s. A `TemplateBuffer` can be resolved in a `TemplateContext` using the `#resolve(TemplateBuffer, TemplateContext)` method.

Clients may extend this class to provide vendor specific template support.

Author:
  Hui Cao
See Also:
  Serialized Form

Constructor Summary
`GenericSQLContextType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSQLContextType

    public GenericSQLContextType()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.